Bug 1301251 - SELinux is preventing abrt-dump-journ from 'execute' accesses on the file Xorg.
SELinux is preventing abrt-dump-journ from 'execute' accesses on the file Xorg.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
x86_64 Unspecified
medium Severity high
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:009c43335001ee218f60e214749...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 20:50 EST by P. A. López-Valencia
Modified: 2017-08-08 08:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description P. A. López-Valencia 2016-01-22 20:50:30 EST
Description of problem:
SELinux is preventing abrt-dump-journ from 'execute' accesses on the file Xorg.

*****  Plugin catchall (100. confidence) suggests   **************************

If cree que de manera predeterminada, abrt-dump-journ debería permitir acceso execute sobre  Xorg file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep abrt-dump-journ /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:object_r:xserver_exec_t:s0
Target Objects                Xorg [ file ]
Source                        abrt-dump-journ
Source Path                   abrt-dump-journ
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-168.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.5.0-0.rc0.git7.1.fc24.x86_64 #1
                              SMP Wed Jan 20 18:34:53 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-01-21 15:45:37 COT
Last Seen                     2016-01-21 15:45:37 COT
Local ID                      d7035a6a-5331-4ad3-99c6-c48858060980

Raw Audit Messages
type=AVC msg=audit(1453409137.308:677): avc:  denied  { execute } for  pid=816 comm="abrt-dump-journ" name="Xorg" dev="sdb3" ino=208274 scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:object_r:xserver_exec_t:s0 tclass=file permissive=0


Hash: abrt-dump-journ,abrt_dump_oops_t,xserver_exec_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-168.fc24.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.5.0-0.rc0.git8.1.fc24.x86_64
type:           libreport

Potential duplicate: bug 1285180
Comment 1 Jan Kurik 2016-02-24 10:49:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Admin XMLRPC Client 2016-09-27 11:09:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2017-07-25 15:50:11 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:41:57 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.